AUTOUPDATE(1)

NAME
autoupdate - Update a configure.ac to a newer Autoconf

SYNOPSIS
autoupdate [OPTION]... [TEMPLATE-FILE]...

DESCRIPTION
Update each TEMPLATE-FILE if given, or 'configure.ac' if present, or else 'configure.in', to the syntax of the current version of Autoconf. The original files are backed up.

  Operation modes:

-h, --help
    print this help, then exit

-V, --version
    print version number, then exit

-v, --verbose
    verbosely report processing

-d, --debug
    don't remove temporary files

-f, --force
    consider all files obsolete

  Library directories:

-B, --prepend-include=DIR
    prepend directory DIR to search path

-I, --include=DIR
    append directory DIR to search path

AUTHOR
Written by David J. MacKenzie and Akim Demaille.

REPORTING BUGS
Report bugs to bug-autoconf@gnu.org, or via Savannah: https://savannah.gnu.org/support/?group=autoconf.

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. License GPLv3+/Autoconf: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>, <https://gnu.org/licenses/exceptions.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
autoconf(1), automake(1), autoreconf(1), autoupdate(1), autoheader(1), autoscan(1), config.guess(1), config.sub(1), ifnames(1), libtool(1).

The full documentation for Autoconf is maintained as a Texinfo manual. To read the manual locally, use the command

    info autoconf

You can also consult the Web version of the manual at https://gnu.org/software/autoconf/manual/.